trouble in installing PGI 6.0-5 onto existing 6.0 CDK

Hi,
I have some weird difficulty in reinstalling
the newer compiler 6.0-5 onto an existing x86-64
installation of PGI CDK with 6.0-2 compiler.
As described in the installation notes,
I untar the downloaded file in some /tmp
directory, then I specify the actual installation
directory to the install script (running as root).
Unfortunately, the script stops with the following error:

Installation directory? [/usr/pgi]
/Software/opt/pgi

ERROR: cannot install products in same directory as unpacked ftp tarfile
Exiting...

Looking at the checks performed by the install script,
it appears that comparisons with $PGI/common
subdirs are made, although I do not feel confortable
in modifying the script myself.
Any hint regarding what to do ? Workarounds ?

Many TIA


cmn

Here’s the offending code from the install script.

# The subdirectory named common will not exist in an installation.

if test -d "$INSTALL_DIR/common" -a -d "`pwd`/common"; then
  echo 'ERROR: cannot install products in same directory as unpacked ftp tarfile
'
  quit
fi

There should be no ‘common’ directory anywhere in a correctly installed PGI software tree, and that is why the error message is there. You can comment the check out if you want, but we’re not sure why /Software/opt/pgi/common exists and what is in it. The directory should not be there.

Thanks,
Mat

Another option would be to:

  1. install the work-station product in some area
    like /tmp/tmp-pgi

  2. Once 6.0-5 has been installed in /tmp/tmp-pgi
    tar up the install area, and untar in the
    CDK area

cd /tmp/tmp-pgi
tar cvf /tmp/pgi605.tar linux86 linux86-64

cd /Software/opt/pgi
tar xvf /tmp/pgi605.tar

This will update only the compiler parts in the CDK installation.

  • Mat